Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class SnapLockMediaDriver

    java.lang.Object
      oracle.ifs.server.SnapLockMediaDriver

All Implemented Interfaces:
  CustomMediaDriver

    public class SnapLockMediaDriver

extends java.lang.Object
implements CustomMediaDriver

SnapLockMediaDriver is a custom media driver that stores content on a SnapLock device.

The secure parameters of the CustomMedia instance hold the user name and password used to authenticate to the SnapLock device. Refer to the constants whose names start with `SECUREPARAMETER_`.

The properties of the CustomMedia instance control other configuration of the SnapLockMediaDriver instance. Refer to the constants whose names start with `PROPERTY_`.

(Published)

Field Summary
`static java.lang.String` | `MEDIAOPTION_FILENAME` The name of the media option whose string value is the filename in which content will be stored on the SnapLock device.
`static java.lang.String` | `MEDIAOPTION_RELATIVE_PATH` The name of the media option whose string value is the path of the directory in which the content will be stored, relative to the export path on the SnapLock device (or equivalently, relative to the mount path on the content management server).
`static java.lang.String` | `MEDIAOPTION_RETENTION_PERIOD` The name of the media option whose long value specifies the retention period of the content, in seconds since 1970-01-01 00:00:00Z.
`static java.lang.String` | `PROPERTY_EXPORT_PATH` The name of the MediaCustom property whose string value is the export path.
`static java.lang.String` | `PROPERTY_HOSTNAME` The name of the MediaCustom property whose string value is the hostname of the SnapLock device.
`static java.lang.String` | `PROPERTY_MOUNT_PATH` The name of the MediaCustom property whose string value is the mount path.
`static java.lang.String` | `PROPERTY_PORT` The name of the MediaCustom property whose integer value is the port number of the SnapLock device.
`static java.lang.String` | `SECUREPARAMETER_PASSWORD` The name of the MediaCustom secure parameter whose string value is the password used to authenticate to the SnapLock device.
`static java.lang.String` | `SECUREPARAMETER_USER_NAME` The name of the MediaCustom secure parameter whose string value is the user name used to authenticate to the SnapLock device.

Constructor Summary
`SnapLockMediaDriver()`

Method Summary
`void` | `destroyContent(S_MediaCustom media, java.lang.String address, java.lang.Long cid, AttributeValue[] mediaOptions)` Destroys content with the specified content address.
`java.io.InputStream` | `getContent(S_MediaCustom media, java.lang.String address)` Gets the content for the specified content address.
`long` | `getContentSize(S_MediaCustom media, java.lang.String address)` Gets the content size, in bytes, for the specified content address.
`RandomAccessDriver` | `getRandomAccessorDriver(S_MediaCustom media, java.lang.String address)` Gets a RandomAccessDriver for the specified content address.
`void` | `initialize(S_CustomMediaDriverSpecification cmds)` Initializes this CustomMediaDriver.
`java.lang.String` | `setContent(S_MediaCustom media, java.lang.Long cid, java.io.InputStream is, AttributeValue[] mediaOptions)` Stores content from the supplied InputStream.
`java.lang.String` | `setContentReference(S_MediaCustom media, java.lang.Long cid, java.lang.String contentReference, AttributeValue[] mediaOptions)` Stores content determined from a specified content reference.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SECUREPARAMETER_USER_NAME

    public static final java.lang.String SECUREPARAMETER_USER_NAME

  Description copied from class: `SnapLockMediaDriver`
  The name of the MediaCustom secure parameter whose string value is the user name used to authenticate to the SnapLock device.

  See Also:
    Constant Field Values
  (Published)

### SECUREPARAMETER_PASSWORD

    public static final java.lang.String SECUREPARAMETER_PASSWORD

  Description copied from class: `SnapLockMediaDriver`
  The name of the MediaCustom secure parameter whose string value is the password used to authenticate to the SnapLock device.

  See Also:
    Constant Field Values
  (Published)

### PROPERTY_HOSTNAME

    public static final java.lang.String PROPERTY_HOSTNAME

  Description copied from class: `SnapLockMediaDriver`
  The name of the MediaCustom property whose string value is the hostname of the SnapLock device.

  See Also:
    Constant Field Values
  (Published)

### PROPERTY_PORT

    public static final java.lang.String PROPERTY_PORT

  Description copied from class: `SnapLockMediaDriver`
  The name of the MediaCustom property whose integer value is the port number of the SnapLock device.

  See Also:
    Constant Field Values
  (Published)

### PROPERTY_EXPORT_PATH

    public static final java.lang.String PROPERTY_EXPORT_PATH

  Description copied from class: `SnapLockMediaDriver`
  The name of the MediaCustom property whose string value is the export path.

  The export path is the actual absolute path on the SnapLock device of an exported volume (or a directory within a volume).

  See Also:
    Constant Field Values
  (Published)

### PROPERTY_MOUNT_PATH

    public static final java.lang.String PROPERTY_MOUNT_PATH

  Description copied from class: `SnapLockMediaDriver`
  The name of the MediaCustom property whose string value is the mount path.

  The mount path is the absolute path at which the exported volume (or directory within a volume) is mounted on the content management server.

  A path relative to the mount path on the content management server must identify the same directory or file as the same path relative to the export path identifies on the SnapLock device.

  See Also:
    Constant Field Values
  (Published)

### MEDIAOPTION_RELATIVE_PATH

    public static final java.lang.String MEDIAOPTION_RELATIVE_PATH

  Description copied from class: `SnapLockMediaDriver`
  The name of the media option whose string value is the path of the directory in which the content will be stored, relative to the export path on the SnapLock device (or equivalently, relative to the mount path on the content management server).

  This media option is examined when `setContent` is called to store content in SnapLock. If unspecified, content will be stored the volume or directory specified by the export path.

  See Also:
    `ContentObjectDefinition.setMediaOptions(AttributeValue[])`, Constant Field Values
  (Published)

### MEDIAOPTION_FILENAME

    public static final java.lang.String MEDIAOPTION_FILENAME

  Description copied from class: `SnapLockMediaDriver`
  The name of the media option whose string value is the filename in which content will be stored on the SnapLock device.

  This media option is examined when `setContent` is called to store content in SnapLock. If unspecified, the filename will be "`oracle_ifs_cid`", where `cid` is the unique content id.

  See Also:
    `ContentObjectDefinition.setMediaOptions(AttributeValue[])`, Constant Field Values
  (Published)

### MEDIAOPTION_RETENTION_PERIOD

    public static final java.lang.String MEDIAOPTION_RETENTION_PERIOD

  Description copied from class: `SnapLockMediaDriver`
  The name of the media option whose long value specifies the retention period of the content, in seconds since 1970-01-01 00:00:00Z.

  This media option is examined when `setContent` is called to store content in SnapLock. If unspecified, SnapLock will apply a default retention period (which may be 0).

  See Also:
    `ContentObjectDefinition.setMediaOptions(AttributeValue[])`, Constant Field Values
  (Published)

Constructor Detail

### SnapLockMediaDriver

    public SnapLockMediaDriver()

Method Detail

### initialize

    public void initialize(S_CustomMediaDriverSpecification cmds)
                    throws IfsException

  Description copied from class: `SnapLockMediaDriver`
  Initializes this CustomMediaDriver.

  Specified by:
    `initialize` in interface `CustomMediaDriver`
  Parameters:
    `cmds` - the CustomMediaDriver specification
  Throws:
    `IfsException` - 13800: if the operation fails

### getContent

    public java.io.InputStream getContent(S_MediaCustom media,
                                          java.lang.String address)
                                   throws IfsException

  Description copied from class: `SnapLockMediaDriver`
  Gets the content for the specified content address.

  Specified by:
    `getContent` in interface `CustomMediaDriver`
  Parameters:
    `media` - the MediaCustom instance
    `address` - the content address
  Returns:
    the content
  Throws:
    `IfsException` - 13801: if the operation fails

### getContentSize

    public long getContentSize(S_MediaCustom media,
                               java.lang.String address)
                        throws IfsException

  Description copied from class: `SnapLockMediaDriver`
  Gets the content size, in bytes, for the specified content address.

  Specified by:
    `getContentSize` in interface `CustomMediaDriver`
  Parameters:
    `media` - the MediaCustom instance
    `address` - the content address
  Returns:
    the size
  Throws:
    `IfsException` - 13802: if the operation fails

### setContent

    public java.lang.String setContent(S_MediaCustom media,
                                       java.lang.Long cid,
                                       java.io.InputStream is,
                                       AttributeValue[] mediaOptions)
                                throws IfsException

  Description copied from class: `SnapLockMediaDriver`
  Stores content from the supplied InputStream.

  Specified by:
    `setContent` in interface `CustomMediaDriver`
  Parameters:
    `media` - the MediaCustom instance
    `cid` - the content id
    `is` - the content
    `mediaOptions` - a set of name/value pairs whose semantics are determined by the CustomMediaDriver implementation, or null for no media options
  Returns:
    the content address
  Throws:
    `IfsException` - 13803: if the operation fails

### setContentReference

    public java.lang.String setContentReference(S_MediaCustom media,
                                                java.lang.Long cid,
                                                java.lang.String contentReference,
                                                AttributeValue[] mediaOptions)
                                         throws IfsException

  Description copied from class: `SnapLockMediaDriver`
  Stores content determined from a specified content reference.

  The interpretation of `contentReference` is determined by the CustomMediaDriver implementation. Some implementations may store its value, while others may resolve its value (in a implementation determined fashion) to other content and store that content instead.

  Specified by:
    `setContentReference` in interface `CustomMediaDriver`
  Parameters:
    `media` - the MediaCustom instance
    `cid` - the content id
    `contentReference` - the content reference
    `mediaOptions` - a set of name/value pairs whose semantics are determined by the CustomMediaDriver implementation, or null for no media options
  Returns:
    the content address
  Throws:
    `IfsException` - 13804: if the operation fails

### getRandomAccessorDriver

    public RandomAccessDriver getRandomAccessorDriver(S_MediaCustom media,
                                                      java.lang.String address)
                                               throws IfsException

  Description copied from class: `SnapLockMediaDriver`
  Gets a RandomAccessDriver for the specified content address.

  Specified by:
    `getRandomAccessorDriver` in interface `CustomMediaDriver`
  Parameters:
    `media` - the MediaCustom instance
    `address` - the content address
  Returns:
    the RandomAccessDriver
  Throws:
    `IfsException` - 13805: if the operation fails

### destroyContent

    public void destroyContent(S_MediaCustom media,
                               java.lang.String address,
                               java.lang.Long cid,
                               AttributeValue[] mediaOptions)
                        throws IfsException

  Description copied from class: `SnapLockMediaDriver`
  Destroys content with the specified content address.

  Specified by:
    `destroyContent` in interface `CustomMediaDriver`
  Parameters:
    `media` - the MediaCustom instance
    `address` - the content address
    `cid` - the content id
    `mediaOptions` - a set of name/value pairs whose semantics are determined by the CustomMediaDriver implementation, or null for no media options
  Throws:
    `IfsException` - 13806: if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD